# Generated by Django 2.0.5 on 2018-07-23 20:43

import colorfield.fields
import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import fontawesome.fields
import mptt.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('auth', '0009_alter_user_last_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=200)),
                ('comment', models.TextField(blank=True)),
                ('customer_id', models.CharField(blank=True, max_length=200)),
                ('document_id', models.CharField(blank=True, max_length=200)),
                ('created_at', models.DateTimeField(blank=True, db_index=True, default=datetime.datetime.now)),
                ('updated_at', models.DateTimeField(blank=True, db_index=True, null=True)),
                ('total_time', models.CharField(blank=True, max_length=200)),
                ('activity_count', models.PositiveIntegerField(blank=True, default=0)),
                ('total_seconds', models.PositiveIntegerField(blank=True, default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Activity_selector',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Název')),
                ('decription', models.CharField(blank=True, max_length=2000, verbose_name='Popisek')),
            ],
            options={
                'verbose_name': 'Číselník',
                'verbose_name_plural': 'Číselníky',
            },
        ),
        migrations.CreateModel(
            name='Activity_subtype',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Jméno')),
                ('description', models.TextField(blank=True, max_length=2000, null=True, verbose_name='Popisek')),
            ],
            options={
                'verbose_name': 'Aktivity - combobox',
                'verbose_name_plural': 'Aktivita - combobox',
            },
        ),
        migrations.CreateModel(
            name='Anet_activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('minuty', models.IntegerField(db_index=True, verbose_name='Počet minut')),
                ('datum', models.DateField(blank=True, null=True, verbose_name='Datum')),
                ('dny', models.IntegerField(blank=True, null=True, verbose_name='Celý den')),
            ],
            options={
                'verbose_name': 'ANET import',
                'verbose_name_plural': 'ANET import',
            },
        ),
        migrations.CreateModel(
            name='Anet_activity_type',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Jméno')),
                ('capitalized', models.BooleanField(default=True, verbose_name='Proplacené')),
                ('external_id', models.PositiveIntegerField(db_index=True, verbose_name='ID v systému ANET')),
            ],
            options={
                'verbose_name': 'ANET kategorií',
                'verbose_name_plural': 'ANET kategorie',
            },
        ),
        migrations.CreateModel(
            name='Avg_activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('avg_time', models.DateTimeField(blank=True, db_index=True, default=datetime.datetime.now)),
            ],
        ),
        migrations.CreateModel(
            name='Category_activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Název záložky')),
                ('icon', fontawesome.fields.IconField(blank=True, max_length=60, verbose_name='Ikona záložky')),
                ('description', models.TextField(blank=True, max_length=2000, verbose_name='Popisek (nepovinné)')),
                ('color', colorfield.fields.ColorField(default='#FF0000', max_length=18, verbose_name='Barva záložky')),
            ],
            options={
                'verbose_name': 'Záložka',
                'verbose_name_plural': 'Záložky',
            },
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
                ('group_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='auth.Group')),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
            ],
            options={
                'verbose_name': 'Skupina',
                'verbose_name_plural': 'Skupiny',
                'ordering': ['name'],
            },
            bases=('auth.group', models.Model),
        ),
        migrations.CreateModel(
            name='Logical_team',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Název týmu')),
                ('description', models.TextField(blank=True, max_length=2000, verbose_name='Popisek')),
                ('category', models.ManyToManyField(blank=True, db_index=True, null=True, to='osvald.Category_activity', verbose_name='Přiřadit záložku')),
                ('user', models.ManyToManyField(blank=True, db_index=True, null=True, to=settings.AUTH_USER_MODEL, verbose_name='Členství uživatelů')),
            ],
            options={
                'verbose_name': 'Logický tým',
                'verbose_name_plural': 'Logické týmy',
            },
        ),
        migrations.CreateModel(
            name='Module_table_collections',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_created', models.DateField(blank=True, db_index=True, null=True, verbose_name='Datum zadání')),
                ('customer_id', models.CharField(blank=True, db_index=True, max_length=200, null=True, verbose_name='ID klienta')),
                ('document_id', models.CharField(blank=True, db_index=True, max_length=200, null=True, verbose_name='Číslo smlouvy')),
                ('value', models.FloatField(blank=True, db_index=True, null=True, verbose_name='Částka (Kč)')),
                ('description', models.CharField(blank=True, max_length=2000, null=True, verbose_name='Popisek')),
                ('date_to_pay', models.DateField(blank=True, db_index=True, null=True, verbose_name='Datum přislíbení')),
            ],
            options={
                'verbose_name': 'Collections',
                'verbose_name_plural': 'Collections',
            },
        ),
        migrations.CreateModel(
            name='Osvald_modules',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Jméno modulu')),
                ('table', models.CharField(max_length=200, verbose_name='Tabulka v DB')),
                ('selector', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='osvald.Activity_selector', verbose_name='Číselník')),
                ('user', models.ManyToManyField(related_name='module_user', to=settings.AUTH_USER_MODEL, verbose_name='Přiřazení uživatelé')),
            ],
            options={
                'verbose_name': 'Modul',
                'verbose_name_plural': 'Moduly',
            },
        ),
        migrations.CreateModel(
            name='Selector_group',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Jméno')),
                ('decription', models.CharField(blank=True, max_length=2000, verbose_name='Popisek')),
            ],
            options={
                'verbose_name': 'Skupina v číselníku',
                'verbose_name_plural': 'Skupiny v číselníku',
            },
        ),
        migrations.CreateModel(
            name='Selector_type_list',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Jméno')),
                ('decription', models.CharField(blank=True, max_length=2000, verbose_name='Popisek')),
                ('show_form', models.BooleanField(default=True, verbose_name='Zobrazit formulář')),
            ],
            options={
                'verbose_name': 'Hodnoty číselník',
                'verbose_name_plural': 'Hodnoty číselníků',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='Status_activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Název stavu')),
            ],
            options={
                'verbose_name': 'Možné stavy aktivit',
                'verbose_name_plural': 'Možné stavy aktivit',
            },
        ),
        migrations.CreateModel(
            name='Template_activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=200, verbose_name='Název šablony')),
                ('description', models.TextField(blank=True, max_length=2000, verbose_name='Popisek (nepovinné)')),
                ('avg_time', models.TimeField(blank=True, default='00:00:00', verbose_name='Průměrný čas')),
                ('icon', fontawesome.fields.IconField(blank=True, max_length=60, verbose_name='Ikona')),
                ('support_activity', models.BooleanField(db_index=True, default=False, verbose_name='Podpůrná aktivita')),
                ('alow_subtype', models.BooleanField(default=False, verbose_name='Specifikace aktivity - combo')),
                ('priority', models.IntegerField(default=0, verbose_name='Priorita - vyšší číslo = větší')),
                ('id_category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='osvald.Category_activity', verbose_name='Záložka')),
                ('modules', models.ManyToManyField(blank=True, to='osvald.Osvald_modules', verbose_name='Moduly')),
            ],
            options={
                'verbose_name': 'Dlaždice',
                'verbose_name_plural': 'Dlaždice',
            },
        ),
        migrations.CreateModel(
            name='Template_activity_type',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=200, verbose_name='Jméno')),
                ('anet_category', models.ManyToManyField(blank=True, db_index=True, null=True, to='osvald.Anet_activity_type', verbose_name='Aktivity v ANETu')),
            ],
            options={
                'verbose_name': 'Typ aktivity',
                'verbose_name_plural': 'Typy aktivit',
            },
        ),
        migrations.CreateModel(
            name='Tmp_user_metadata',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(blank=True, db_index=True, null=True)),
                ('cisty_cas', models.DecimalField(decimal_places=4, max_digits=8, verbose_name='Čistý čas')),
                ('fond', models.DecimalField(decimal_places=4, max_digits=8)),
                ('efektivni', models.DecimalField(decimal_places=4, max_digits=8)),
                ('ztrata', models.DecimalField(decimal_places=4, max_digits=8)),
                ('nepritomnost', models.DecimalField(decimal_places=4, max_digits=8)),
                ('podpurne_anet', models.DecimalField(decimal_places=4, max_digits=8)),
                ('podpurne_dlazdice', models.DecimalField(decimal_places=4, max_digits=8)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='User_contract',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contract', models.DecimalField(blank=True, decimal_places=2, max_digits=30, null=True, verbose_name='Velikost Úvazku')),
                ('user', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='User_external_id',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('oc', models.PositiveIntegerField(db_index=True, verbose_name='Externí ID v LDAP')),
                ('user', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='User_logical_team',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('team', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='osvald.Logical_team', verbose_name='Primární logický tým')),
                ('user', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='template_activity',
            name='template_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='osvald.Template_activity_type', verbose_name='Typy aktivity'),
        ),
        migrations.AddField(
            model_name='selector_group',
            name='items',
            field=models.ManyToManyField(db_index=True, to='osvald.Selector_type_list', verbose_name='Položky skupiny'),
        ),
        migrations.AddField(
            model_name='module_table_collections',
            name='selector',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='osvald.Selector_type_list', verbose_name='Akce '),
        ),
        migrations.AddField(
            model_name='module_table_collections',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Vytvořeno'),
        ),
        migrations.AddField(
            model_name='group',
            name='logical_team',
            field=models.ManyToManyField(blank=True, db_index=True, null=True, related_name='group_logical_team', to='osvald.Logical_team', verbose_name='Logické týmy'),
        ),
        migrations.AddField(
            model_name='group',
            name='manager',
            field=models.ManyToManyField(blank=True, null=True, related_name='group_manager', to=settings.AUTH_USER_MODEL, verbose_name='Manažer'),
        ),
        migrations.AddField(
            model_name='group',
            name='parent',
            field=mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='osvald.Group', verbose_name='Nadřazená skupina'),
        ),
        migrations.AddField(
            model_name='group',
            name='user',
            field=models.ManyToManyField(blank=True, null=True, related_name='group_user', to=settings.AUTH_USER_MODEL, verbose_name='Uživatelé'),
        ),
        migrations.AddField(
            model_name='avg_activity',
            name='date',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='osvald.Logical_team'),
        ),
        migrations.AddField(
            model_name='avg_activity',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='osvald.Template_activity'),
        ),
        migrations.AddField(
            model_name='anet_activity',
            name='id_ucet',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='osvald.Anet_activity_type', verbose_name='ANET Status'),
        ),
        migrations.AddField(
            model_name='anet_activity',
            name='oc',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Uživatel'),
        ),
        migrations.AddField(
            model_name='activity_selector',
            name='values',
            field=models.ManyToManyField(db_index=True, to='osvald.Selector_group', verbose_name='Položky číselníku'),
        ),
        migrations.AddField(
            model_name='activity',
            name='status',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='osvald.Status_activity'),
        ),
        migrations.AddField(
            model_name='activity',
            name='template',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='osvald.Template_activity'),
        ),
        migrations.AddField(
            model_name='activity',
            name='username',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
    ]
